{% extends 'store/base.html' %}
{% load crispy_forms_tags %}
{% load static %}
{% block content %}
<br>

<div class="row">
	<div class="col">
		<div class="col-md">
			<div class="card text-center text-white  mb-3" id="total-orders">
			  	<div class="card-header">
			  		<h5 class="card-title">Total Orders</h5>
			  	</div>
			  	<div class="card-body">
			    	<h3 class="card-title">{{ total_orders }}</h3>
			  	</div>
			</div>
		</div>
	</div>

	<div class="col">
		<div class="col-md">
			<div class="card text-center text-white  mb-3" id="orders-delivered">
			  	<div class="card-header">
			  		<h5 class="card-title">Orders Delivered</h5>
			  	</div>
			  	<div class="card-body">
			    	<h3 class="card-title">{{ total_delivered }}</h3>
			  	</div>
			</div>
		</div>
	</div>

	<div class="col">
		<div class="col-md">
			<div class="card text-center text-white  mb-3" id="orders-pending">
			  	<div class="card-header">
			  		<h5 class="card-title">Orders Pending</h5>
			  	</div>
			  	<div class="card-body">
			    	<h3 class="card-title">{{ total_pending }}</h3>
			  	</div>
			</div>
		</div>
	</div>
</div>

<br>

<h5>ORDER LIST:</h5>
<div class="row">
	<div class="col-md">
		<div class="card card-body">
			<table class="table table-sm">
				<tr>
					<th>Order ID</th>
					<th>Order Status</th>
					<th>Order Date</th>
					<th></th>
					<th></th>
				</tr>
				{% for order in cart %}
					<tr>
						<td>{{ order.id }}</td>
						<td>{{ order.cart_status }}</td>
						<td>{{ order.order_date }}</td>
						<td><a href="{% url 'view-order' order.id %}" class="btn btn-outline-success">View</a></td>
						<td><a href="{% url 'update-status' order.id %}" class="btn btn-outline-success">Update Status</a></td>
					</tr>
				{% empty %}
					<h5>No orders yet.</h5>
				{% endfor %}
			</table>
		</div>
	</div>
</div>

{% endblock %}